chipmunk lib will not link in xcode 4.5 for ios 6 device

Discuss any Chipmunk bugs here.

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby Geokar » Fri Sep 28, 2012 12:11 pm

Thanks for the update.

Just a small update on my part.

As I wrote I uploaded an update of our app with armv7 only on the 23rd, The app is still in "Waiting for Review".

I will let you know as soon as the app goes or does not go through.
Geokar
 
Posts: 5
Joined: Sat Sep 22, 2012 12:55 pm

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby Geokar » Mon Oct 01, 2012 2:12 am

The app went through with no issues whatsover.

So submitting with only armv7 while providing support for iPhone 5 (ours did) does not raise any red flags with the review team at Apple.
Geokar
 
Posts: 5
Joined: Sat Sep 22, 2012 12:55 pm

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby dugbug » Wed Oct 03, 2012 7:08 pm

good to know geokar. I submitted an app friday with this very tweak.
dugbug
 
Posts: 20
Joined: Fri Jan 06, 2012 10:08 am

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby bhlvoong » Thu Oct 25, 2012 3:22 am

After switching architecture to armv6, build is successful but its fails with this error when trying to deploy to my iPad 2 (running iOS 6):

Xcode cannot run using the selected device.
Choose a destination with a supported architecture in order to run on this device.

I'm using the latest ChipmunkPro-iPhone-Trial library. I would like to see the performance on my device before purchasing a license.

Thanks
bhlvoong
 
Posts: 2
Joined: Thu Oct 25, 2012 3:17 am

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby slembcke » Thu Oct 25, 2012 11:37 am

iPhone 3G and below are armv6 devices. iPhone 3Gs and above are armv7. iPhone 5 is armv7s.

You want to build for armv7 (and possibly also armv6 if you want extra backwards compatibility). Although armv6 code should still work fine on all devices. Not sure what was up with that error. I wonder if they dropped armv6 compatibility in iOS 6? That certainly sounds like something Apple would do...

Xcode 4.5 doesn't even build armv6 code anymore anyway.
Can't sleep... Chipmunks will eat me...
Check out our latest projects! -> http://howlingmoonsoftware.com/wordpress/
User avatar
slembcke
Site Admin
 
Posts: 4164
Joined: Tue Aug 14, 2007 7:13 pm

Re: chipmunk lib will not link in xcode 4.5 for ios 6 device

Postby bhlvoong » Sun Nov 04, 2012 8:17 pm

I updated to Xcode 4.5.2 and started a new project and I'm able to deploy onto my ipad 2 now.

Thanks.
bhlvoong
 
Posts: 2
Joined: Thu Oct 25, 2012 3:17 am

Previous

Return to Bugs

Who is online

Users browsing this forum: No registered users and 1 guest

cron